
# S R V X 1

[[_TOC_]]

## Getting Started

[How to SSH / VNC / VPN](SSH-VPN-VNC/README.md)

### Jupyterhub
<img src="https://jupyter.org/assets/hublogo.svg" width="300px">

SRVX1 serves a teaching [jupyterhub](https://jupyterhub.readthedocs.io/en/stable/) with a [jupyterlab](https://jupyterlab.readthedocs.io/en/stable/). It allows easy access for students and teachers.

Goto: [](https://srvx1.img.univie.ac.at)
Signup is only granted by teachers and requires a srvx1 user account. A new password is needed and a TOTP (time base one-time password) will be created. 

Download/Use any of these required Authenticator Apps:
 - [Authy (Mobile, Desktop)](https://authy.com/download/)
 - [FreeOTP (Mobile)](https://freeotp.github.io/)
 - [Google Auth (Mobile)](https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2)

After registering the teacher/admin has to grant you access and you can login.

## System Information
| Name | Value |
| --- | --- |
| Product | PowerEdge R720xd |
| Processor | Intel(R) Xeon(R) CPU E5-2690 0 @ 2.90GHz |
| Cores | 2 CPU,  8 physical cores per CPU, total 32 logical CPU units |
| CPU time | 140 kh |
| Memory | 190 GB Total |
| Memory/Core | 11.9 GB |
| Network | 10 Gbit/s |

## Software

The typcial installation of a intel-cluster has the INTEL Compiler suite (`intel-parallel-studio`) and the open source GNU Compilers installed. Based on these two different compilers (`intel`, `gnu`), there are usually two version of each scientific software.
Major Libraries:
 - OpenMPI (3.1.6, 4.0.5)
 - HDF5 
 - NetCDF (C, Fortran)
 - ECCODES from [ECMWF](https://confluence.ecmwf.int/display/ECC)
 - Math libraries e.g. intel-mkl, lapack,scalapack
 - Interpreters: Python, Julia
 - Tools: cdo, ncl, nco, ncview

These software libraries are usually handled by environment modules.

![](https://upload.wikimedia.org/wikipedia/en/thumb/0/0a/Environment_Modules_logo.svg/320px-Environment_Modules_logo.svg.png)

## Currently installed modules

```
$ module av
-------------------------------- /home/opt/spack/share/spack/modules/linux-centos6-sandybridge --------------------------------
anaconda3/2020.07-gcc-5.3.0     gcc/5.3.0-gcc-5.3.0         netcdf-c/4.7.4-gcc-5.3.0        zlib/1.2.11-gcc-5.3.0  
cdo/1.9.9-gcc-5.3.0             git/2.29.0-gcc-5.3.0        netcdf-fortran/4.5.3-gcc-5.3.0  
eccodes/2.18.0-gcc-5.3.0        hdf5/1.10.7-gcc-5.3.0       openmpi/3.1.6-gcc-5.3.0         
enstools/2020.11.dev-gcc-5.3.0  miniconda3/4.8.2-gcc-5.3.0  proj/7.1.0-gcc-5.3.0 
```
Using [environment modules](https://modules.readthedocs.io/en/latest/) it is possible to have different software libraries (versions, compilers) side-by-side and ready to be loaded. Be aware that some libraries are dependent on others. It is recommended to load the highest rank library first to check what dependencies are loaded as well. e.g.:
```
$ module load eccodes/2.18.0-gcc-5.3.0 
Loading eccodes/2.18.0-gcc-5.3.0
  Loading requirement: zlib/1.2.11-gcc-5.3.0 openmpi/3.1.6-gcc-5.3.0 hdf5/1.10.7-gcc-5.3.0 netcdf-c/4.7.4-gcc-5.3.0
```
loads the `ECCODES` library and all dependencies. e.g. intel or gnu compilers, as indicated by the naming.
```
$ module list
Currently Loaded Modulefiles:
 1) zlib/1.2.11-gcc-5.3.0     3) hdf5/1.10.7-gcc-5.3.0      5) eccodes/2.18.0-gcc-5.3.0  
 2) openmpi/3.1.6-gcc-5.3.0   4) netcdf-c/4.7.4-gcc-5.3.0  
```
`module list` shows the currently loaded modules and reports that 5 libraries need to be loaded as dependencies for `ECCODES`. Thus, it is not necessary to load the other libraries manually as they are dependencies of `ECCODES`.

