# SSH, VPN, VNC related Problems

[[_TOC_]]

## General Access
Please use these methods to access the servers:
1. Connect using [SSH](SSH.md)
2. Connect using [TeachingHub](../TeachingHub.md) or [ResearchHub](../Jet-Cluster.md#jupyterhub)
3. Connect using [VNC](VNC.md)
4. Access from outside the UNI, [VPN](VPN.md)

## Jupyterhub
Currently, there are two JupyterHub instances runnning:
- TeachingHub on SRVX1
- ResearchHub on Jet01 

Connect to either 
- [https://srvx1.img.univie.ac.at](https://srvx1.img.univie.ac.at) from everywhere 
- [https://jet01.img.univie.ac.at](https://jet01.img.univie.ac.at) from within the university network.

## Screen
[Screen](https://wiki.ubuntuusers.de/Screen/) is terminal session manager, that allows to start processes and reconnect to these processes after disconnection.
This starts a new session

```bash
$ screen -S longjob
```

You can detach from this session with `CTRL + A + D` and reconnect again with `screen -r`.

Multiple Sessions can be created and the output saved (`-L` Option).

## Questions and Answers
- [Q: How to use ssh-key authentication?](Questions.md#q-how-to-use-ssh-key-authentication)
- [Q: How to use an ssh-agent?](Questions.md#q-how-to-use-an-ssh-agent)
- [Q: How to transfer files between two VPN networks?](Questions.md#q-how-to-transfer-files-between-two-vpn-networks)
- [Q: How to connect to Jet, SRVX8, SRVX2?](Questions.md#q-how-to-connect-to-jet-srvx8-srvx2)
- [Q: How to mount a remote file system on Linux (MAC)?](Questions.md#q-how-to-mount-a-remote-file-system-on-Linux-mac)

